2017-07-26 00:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003807Kali Linux[All Projects] Kali Package Bugpublic2017-03-09 05:21
ReporterRapt0r 
Assigned Tosbrun 
PriorityhighSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003807: Pyrit still not working with GPU despite being marked as resolved in previous post
DescriptionI made a previous post about pyrit before and the problem was marked as resolved - the post was https://bugs.kali.org/view.php?id=3785

However this only resolved part of the problem. None of my GPU's work with pyrit. I am AMD on my Desktop and Nvidia on my laptop and both do not work with the updated Kali Linux but worked perfectly well before the update.

Here is the output i get when running pyrit on my desktop machine (AMD GPU):

root@Rapt0r:~# pyrit selftest
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Cores incorporated in the test:
0000001: 'OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)''
#2: 'CPU-Core (SSE2)'

Running selftest...
Exception in thread OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)':
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 113, in run
    self._testComputeFunction(101)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 102, in _testComputeFunction
    self.solve(Core.TV_ESSID, [Core.TV_PW] * i))):
SystemError: Failed to build kernel (CL_BUILD_PROGRAM_FAILURE):
./generic/lib/workitem/get_global_id.cl:4:30: in function opencl_pmk_kernel void (%struct.gpu_inbuffer addrspace(1)*, %struct.gpu_outbuffer addrspace(1)*): unsupported call to function get_local_size


Exception in thread CPU-Core (SSE2):
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 110, in run
    essid, pwlist = self.queue._gather(self.buffersize, timeout=0.5)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 632, in _gather
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 490, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)'' has died unexpectedly

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1242, in selftest
    cp.enqueue(essid, pws)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 564, in enqueue
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 490, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)'' has died unexpectedly
root@Rapt0r:~# pyrit benchmark
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Calibrating... Exception in thread OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)':
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 113, in run
    self._testComputeFunction(101)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 102, in _testComputeFunction
    self.solve(Core.TV_ESSID, [Core.TV_PW] * i))):
SystemError: Failed to build kernel (CL_BUILD_PROGRAM_FAILURE):
./generic/lib/workitem/get_global_id.cl:4:30: in function opencl_pmk_kernel void (%struct.gpu_inbuffer addrspace(1)*, %struct.gpu_outbuffer addrspace(1)*): unsupported call to function get_local_size


Exception in thread CPU-Core (SSE2):
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 110, in run
    essid, pwlist = self.queue._gather(self.buffersize, timeout=0.5)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 632, in _gather
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 490, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)'' has died unexpectedly

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1176, in benchmark
    cp.enqueue('foo', ['barbarbar'] * 500)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 564, in enqueue
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 490, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'OpenCL-Device 'AMD TAHITI (DRM 2.46.0 / 4.8.0-kali2-amd64, LLVM 3.9.0)'' has died unexpectedly
root@Rapt0r:~#


As you can see since my previous post i can now see my GPU cores but that's it. I still can't use any of them.

The fix mentioned in the previous post works well on my laptop that does not have a graphics card but that's it.

Pyrit does not work with any of my graphics card but it before it all got updated.

Any help is always appreciated thanks
Steps To ReproduceEverytime i run pyrit on my gpu enabled laptop or desktop
Attached Files

-Relationships
+Relationships

-Notes

~0006213

rhertzog (administrator)

The only other similar report is here: https://www.reddit.com/r/archlinux/comments/5dc4g5/mesa_opencl_mess_since_version_130/

So it might be related to the mesa update (mesa-opencl-icd in particular) or possibly to the underlying libclc (libclc-r600, libclc-amdgcn).

The switch to mesa 13 happened in early december. libclc got a new upstream snapshot around the same time (a few days earlier).

~0006255

Rapt0r (reporter)

As of now 15/1/2017 i can download Kali-20016.2 from the Kali.org website and have pyrit run correctly with no issues. However when i update that's when the problems start.

The above post i made shows the output of pyrit using my AMD graphics card that i use on my desktop.

But the output below shows the output of pyrit using my laptop nvidia geforce graphics card:

root@Rapt0r:~# pyrit selftest
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1227, in selftest
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 446, in __init__
    p = _cpyrit_opencl.OpenCLPlatform(platform_idx)
SystemError: Failed to enumerate devices on this platform (CL_DEVICE_NOT_FOUND)
root@Rapt0r:~# pyrit benchmark
Pyrit 0.4.0 (C) 2008-2011 Lukas Lueg http://pyrit.googlecode.com
This code is distributed under the GNU General Public License v3+

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1170, in benchmark
    with cpyrit.cpyrit.CPyrit() as cp:
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 446, in __init__
    p = _cpyrit_opencl.OpenCLPlatform(platform_idx)
SystemError: Failed to enumerate devices on this platform (CL_DEVICE_NOT_FOUND)
root@Rapt0r:~#


As you can see the results still don't work but the output is slightly different.

My laptop geforce nvidia graphics card is not even detected at all

I am very confused. Hope this is fixed soon.

~0006363

sbrun (manager)

You should try to remove the package mesa-opencl-icd (and keep the other *-opencl-icd packages).
It seems that the latest version of the package generates issues when co-installed with other *-opencl-icd.

~0006457

Rapt0r (reporter)

I tried this and it didn't work.

Any more ideas, i will try anything at the moment. No matter what i try i still can't seem to get this to work

~0006483

Rapt0r (reporter)

Now pyrit has been updated and it still does not list any graphics card

root@Rapt0r:~# pyrit list_cores
Pyrit 0.5.1 (C) 2008-2011 Lukas Lueg - 2015 John Mora
https://github.com/JPaulMora/Pyrit
This code is distributed under the GNU General Public License v3+

The following cores seem available...
0000001: 'CPU-Core (SSE2/AES)'
#2: 'CPU-Core (SSE2/AES)'
#3: 'CPU-Core (SSE2/AES)'
0000004: 'CPU-Core (SSE2/AES)'
root@Rapt0r:~#

~0006486

Rapt0r (reporter)

Update

I finally managed to get pyrit working on my nvidia laptop and by getting the latest version of hashcat i was able to get that working as well.

In ~/.pyrit/config i added the use cuda and opencl like the pyrit webiste says but making cude true and opencl false because my laptop has an nvidia card. So now it looks like so:

default_storage = file://
limit_ncpus = 4
rpc_announce = true
rpc_announce_broadcast = false
rpc_knownclients =
rpc_server = false
use_CUDA = false
use_OpenCL = true
workunit_size = 75000

and it works on my laptop.
Please note that this is the first thing i tried even before making the post and it didn't work but i completely reinstalled Kali linux so maybe that has something to do with it.

However i am trying to do the same thing on my desktop which is running an amd graphics card and i am having no luck at all, even with a fresh installation.
Pyrit is now able to detect my AMD GPU but thats it.

If I run a pyrit benchmark i get the following error:

root@Rapt0r:~/.pyrit# pyrit list_cores
NVIDIA: no NVIDIA devices found
Pyrit 0.5.1 (C) 2008-2011 Lukas Lueg - 2015 John Mora
https://github.com/JPaulMora/Pyrit
This code is distributed under the GNU General Public License v3+

The following cores seem available...
0000001: 'CPU-Core (SSE2/AES)'
#2: 'CPU-Core (SSE2/AES)'
#3: 'CPU-Core (SSE2/AES)'
0000004: 'CPU-Core (SSE2/AES)'

The following OpenCL GPUs seem aviable...
0000001: 'OpenCL-Device 'AMD TAHITI (DRM 2.48.0 / 4.9.0-kali2-amd64, LLVM 3.9.1)''

root@Rapt0r:~/.pyrit# pyrit benchmark
NVIDIA: no NVIDIA devices found
Pyrit 0.5.1 (C) 2008-2011 Lukas Lueg - 2015 John Mora
https://github.com/JPaulMora/Pyrit
This code is distributed under the GNU General Public License v3+

Calibrating... Exception in thread OpenCL-Device 'AMD TAHITI (DRM 2.48.0 / 4.9.0-kali2-amd64, LLVM 3.9.1)':
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 112, in run
    self._testComputeFunction(101)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 101, in _testComputeFunction
    self.solve(Core.TV_ESSID, [Core.TV_PW] * i))):
SystemError: Failed to build kernel (CL_BUILD_PROGRAM_FAILURE):
./generic/lib/workitem/get_global_id.cl:4:30: in function opencl_pmk_kernel void (%struct.gpu_inbuffer addrspace(1)*, %struct.gpu_outbuffer addrspace(1)*): unsupported call to function get_local_size


Exception in thread CPU-Core (SSE2/AES):
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 801, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 109, in run
    essid, pwlist = self.queue._gather(self.buffersize, timeout=0.5)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 643, in _gather
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 501, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'OpenCL-Device 'AMD TAHITI (DRM 2.48.0 / 4.9.0-kali2-amd64, LLVM 3.9.1)'' has died unexpectedly

Traceback (most recent call last):
  File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 118, in initFromArgv
    func(self, **options)
  File "/usr/lib/python2.7/dist-packages/pyrit_cli.py", line 1200, in benchmark
    cp.enqueue('foo', ['barbarbar'] * 500)
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 575, in enqueue
    self._check_cores()
  File "/usr/lib/python2.7/dist-packages/cpyrit/cpyrit.py", line 501, in _check_cores
    raise SystemError("The core '%s' has died unexpectedly" % core)
SystemError: The core 'CPU-Core (SSE2/AES)' has died unexpectedly

I changed the Opencl to true and Nvidia to false in the config file and still i get the error.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-26 18:29 Rapt0r New Issue
2017-01-03 13:22 rhertzog Assigned To => sbrun
2017-01-03 13:22 rhertzog Status new => assigned
2017-01-03 14:05 rhertzog Note Added: 0006213
2017-01-15 19:53 Rapt0r Note Added: 0006255
2017-02-10 19:44 sbrun Note Added: 0006363
2017-03-02 20:55 Rapt0r Note Added: 0006457
2017-03-08 06:46 Rapt0r Note Added: 0006483
2017-03-09 05:21 Rapt0r Note Added: 0006486
+Issue History